{ "status": false, "message": "No token provided"}
Email Campaign
Upload Attachment
This API used to upload attachments in zixflow platform. Purpose of API is whenever the user wants to send an attachment in the email. user need to upload attachment in zixflow platform first. zixflow will provide id represents to attachment. and the user can send this id in send email API’s attachment field to send attachment along with the email
The “File” field refers to an attachment file that must be included in an
email campaign. The file can be in any format, and its size should not exceed
25 megabytes (MB).
{ "status": false, "message": "No token provided"}
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Zixflow Docs","description":"Zixflow Documentation — event tracking guides, SDK integration, and API reference for Zixflow App and Zixflow AI","colors":{"primary":"#9563FF","light":"#AE87FF","dark":"#0D001D"},"logo":{"light":"https://mintcdn.com/zixflow/ZkR4R10Bz-5t_RgN/logo/light.svg?fit=max\u0026auto=format\u0026n=ZkR4R10Bz-5t_RgN\u0026q=85\u0026s=a7334d13abb8d817b7f9416d78981521","dark":"https://mintcdn.com/zixflow/ZkR4R10Bz-5t_RgN/logo/dark.svg?fit=max\u0026auto=format\u0026n=ZkR4R10Bz-5t_RgN\u0026q=85\u0026s=15522c1bd8a4805f9537103d7dbaece0"},"favicon":"https://mintcdn.com/zixflow/ZkR4R10Bz-5t_RgN/favicon.png?fit=max\u0026auto=format\u0026n=ZkR4R10Bz-5t_RgN\u0026q=85\u0026s=4bb86887a346e473f0ccc65917d5bd5d","api":{"playground":{"display":"interactive"}},"navbar":{"links":[{"href":"mailto:support@zixflow.com","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://app.zixflow.com"}},"footer":{"socials":{"x":"https://twitter.com/zixflow","github":"https://github.com/zixflow","linkedin":"https://www.linkedin.com/company/zixflow"}},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Zixflow Web","icon":"globe","href":"https://zixflow.com/"},{"anchor":"Help Center","icon":"book-open-cover","href":"https://help.zixflow.com/en"},{"anchor":"Blog","icon":"newspaper","href":"https://zixflow.com/blog"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"zixflow","hasAudioNarration":false,"actualSubdomain":"zixflow","customDomains":["docs.zixflow.com"],"gitSource":{"type":"github","owner":"premsaini8","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"entitlements":{},"buildId":"6ae32397fa750f920782391b","clientVersion":"0.0.4111","searchFilterCounts":[{"language":"default","tag":"API Reference","count":134},{"language":"default","tag":"Zixflow AI","count":70},{"language":"default","tag":"SDK Integrations","count":70},{"language":"default","tag":"Zixflow App","count":68},{"language":"default","tag":"Events","count":25},{"language":"default","tag":"Getting Started","count":25},{"language":"default","tag":"WhatsApp","count":22},{"language":"default","tag":"Features","count":22},{"language":"default","tag":"Direct Messages","count":19},{"language":"default","tag":"Whatsapp Campaign","count":13}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/campaign/email/upload-attachment","slug":"/api-reference/campaign/email/upload-attachment","pageMetadata":{"title":"Upload Attachment","api":"POST https://api.zixflow.com/api/v1/campaign/email/upload","description":"This API used to upload attachments in zixflow platform. Purpose of API is whenever the user wants to send an attachment in the email. user need to upload attachment in zixflow platform first. zixflow will provide id represents to attachment. and the user can send this id in send email API's attachment field to send attachment along with the email","href":"/api-reference/campaign/email/upload-attachment"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"This API used to upload attachments in zixflow platform. Purpose of API is whenever the user wants to send an attachment in the email. user need to upload attachment in zixflow platform first. zixflow will provide id represents to attachment. and the user can send this id in send email API’s attachment field to send attachment along with the email\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={p:`p`,..._provideComponents(),...props.components},{Expandable,Heading,ParamField,ResponseField}=_components;if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`4`,id:`body`,children:`Body`}),`\n`,_jsx(ParamField,{body:`file`,type:`file`,placeholder:`Select Attachment`,required:true,id:`param-file`,children:_jsx(_components.p,{children:`The “File” field refers to an attachment file that must be included in an\nemail campaign. The file can be in any format, and its size should not exceed\n25 megabytes (MB).`})}),`\n`,_jsx(Heading,{level:`4`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`status`,type:`boolean`,id:`param-status`,children:_jsx(_components.p,{children:`Indicates whether the call was successful. true if successful, false if not.`})}),`\n`,_jsx(ResponseField,{name:`message`,type:`string`,id:`param-message`,children:_jsx(_components.p,{children:`success or error response message`})}),`\n`,_jsxs(ResponseField,{name:`data`,type:`object`,id:`param-data`,children:[_jsx(_components.p,{children:`The contents of uploaded file`}),_jsxs(Expandable,{title:`data`,children:[_jsx(ResponseField,{name:`filename`,type:`string`,id:`param-filename`,children:_jsx(_components.p,{children:`The name of the file.`})}),_jsx(ResponseField,{name:`size`,type:`integer`,id:`param-size`,children:_jsx(_components.p,{children:`The size of the file in bytes.`})}),_jsx(ResponseField,{name:`dateadded`,type:`string`,id:`param-dateadded`,children:_jsx(_components.p,{children:`The date and time the file was added.`})}),_jsx(ResponseField,{name:`expirationdate`,type:`string`,id:`param-expirationdate`,children:_jsx(_components.p,{children:`The expiration date of the file (if specified).`})}),_jsx(ResponseField,{name:`fileid`,type:`string`,id:`param-fileid`,children:_jsx(_components.p,{children:`The unique identifier of the file.`})}),_jsx(ResponseField,{name:`contenttype`,type:`string`,id:`param-contenttype`,children:_jsx(_components.p,{children:`The content type of the file.`})}),_jsx(ResponseField,{name:`mediumscreenshotpath`,type:`string`,id:`param-mediumscreenshotpath`,children:_jsx(_components.p,{children:`The path to the medium-sized screenshot.`})}),_jsx(ResponseField,{name:`thumbnailpath`,type:`string`,id:`param-thumbnailpath`,children:_jsx(_components.p,{children:`The path to the thumbnail.`})})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Upload Attachment","api":"POST https://api.zixflow.com/api/v1/campaign/email/upload","description":"This API used to upload attachments in zixflow platform. Purpose of API is whenever the user wants to send an attachment in the email. user need to upload attachment in zixflow platform first. zixflow will provide id represents to attachment. and the user can send this id in send email API's attachment field to send attachment along with the email","href":"/api-reference/campaign/email/upload-attachment"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,pre:`pre`,span:`span`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,ParamField,RequestExample,ResponseExample,ResponseField}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`4`,id:`body`,children:`Body`}),`\n`,_jsx(ParamField,{body:`file`,type:`file`,placeholder:`Select Attachment`,required:true,id:`param-file`,children:_jsx(_components.p,{children:`The “File” field refers to an attachment file that must be included in an\nemail campaign. The file can be in any format, and its size should not exceed\n25 megabytes (MB).`})}),`\n`,_jsx(Heading,{level:`4`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`status`,type:`boolean`,id:`param-status`,children:_jsx(_components.p,{children:`Indicates whether the call was successful. true if successful, false if not.`})}),`\n`,_jsx(ResponseField,{name:`message`,type:`string`,id:`param-message`,children:_jsx(_components.p,{children:`success or error response message`})}),`\n`,_jsxs(ResponseField,{name:`data`,type:`object`,id:`param-data`,children:[_jsx(_components.p,{children:`The contents of uploaded file`}),_jsxs(Expandable,{title:`data`,children:[_jsx(ResponseField,{name:`filename`,type:`string`,id:`param-filename`,children:_jsx(_components.p,{children:`The name of the file.`})}),_jsx(ResponseField,{name:`size`,type:`integer`,id:`param-size`,children:_jsx(_components.p,{children:`The size of the file in bytes.`})}),_jsx(ResponseField,{name:`dateadded`,type:`string`,id:`param-dateadded`,children:_jsx(_components.p,{children:`The date and time the file was added.`})}),_jsx(ResponseField,{name:`expirationdate`,type:`string`,id:`param-expirationdate`,children:_jsx(_components.p,{children:`The expiration date of the file (if specified).`})}),_jsx(ResponseField,{name:`fileid`,type:`string`,id:`param-fileid`,children:_jsx(_components.p,{children:`The unique identifier of the file.`})}),_jsx(ResponseField,{name:`contenttype`,type:`string`,id:`param-contenttype`,children:_jsx(_components.p,{children:`The content type of the file.`})}),_jsx(ResponseField,{name:`mediumscreenshotpath`,type:`string`,id:`param-mediumscreenshotpath`,children:_jsx(_components.p,{children:`The path to the medium-sized screenshot.`})}),_jsx(ResponseField,{name:`thumbnailpath`,type:`string`,id:`param-thumbnailpath`,children:_jsx(_components.p,{children:`The path to the thumbnail.`})})]})]}),`\n`,_jsxs(RequestExample,{children:[_jsx(CodeBlock,{filename:`cUrl`,numberOfLines:`3`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`3`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` --location --request POST `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'https://api.zixflow.com/api/v1/campaign/email/upload'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`--header `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Authorization: Bearer 56616641ee123b80a36b99fedc2bfa4f0d7f63072d97ddb1578c7a5aa970e7edde6618c7f750beb921aee3eebc9cc48899ee992fa4eb95a663d0e0b2eaa35b73f3b2344c'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`--form `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'file=@\"\u003cpath-to-file>\"'`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`Nodejs`,numberOfLines:`24`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`24`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`var`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` axios = require(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'axios'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`var`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` FormData = require(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'form-data'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`var`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` fs = require(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'fs'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`var`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` data = `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`new`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` FormData();`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`data.append(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'file'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, fs.createReadStream(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'/home/sahil/Downloads/welcome-screen.png'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`));`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`var`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` config = {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` method: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'post'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` url: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'https://api.zixflow.com/api/v1/campaign/email/upload'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` headers: { `})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Authorization'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Bearer 56616641ee123b80a36b99fedc2bfa4f0d7f63072d97ddb1578c7a5aa970e7edde6618c7f750beb921aee3eebc9cc48899ee992fa4eb95a663d0e0b2eaa35b73f3b2344c'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ...data.getHeaders()`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` data : data`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`};`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`axios(config)`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.then(`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`function`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` (response) {`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` console.log(JSON.stringify(response.data));`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`})`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`catch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`function`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` (error) {`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` console.log(error);`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`});`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`]})})}),_jsx(CodeBlock,{filename:`Python`,numberOfLines:`15`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`15`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`url = `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://api.zixflow.com/api/v1/campaign/email/upload\"`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`payload={}`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`files=[`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` (`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'file'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'welcome-screen.png'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,open(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'/home/sahil/Downloads/welcome-screen.png'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'rb'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`),`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'image/png'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`))`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`headers = {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Authorization'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Bearer 56616641ee123b80a36b99fedc2bfa4f0d7f63072d97ddb1578c7a5aa970e7edde6618c7f750beb921aee3eebc9cc48899ee992fa4eb95a663d0e0b2eaa35b73f3b2344c'`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`response = requests.request(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"POST\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, url, headers=headers, data=payload, files=files)`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`print(response.text)`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`JAVA`,numberOfLines:`14`,language:`java`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`java`,children:_jsxs(_components.code,{language:`java`,numberOfLines:`14`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`OkHttpClient client = `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`new`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` OkHttpClient().newBuilder()`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` .build();`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`MediaType mediaType = MediaType.parse(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"text/plain\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`RequestBody body = `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`new`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` MultipartBody.Builder().setType(MultipartBody.FORM)`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` .addFormDataPart(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"file\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"welcome-screen.png\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` RequestBody.create(MediaType.parse(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"application/octet-stream\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`),`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` new`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` File(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"/home/sahil/Downloads/welcome-screen.png\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)))`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` .build();`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`Request request = `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`new`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` Request.Builder()`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` .url(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://api.zixflow.com/api/v1/campaign/email/upload\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` .method(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"POST\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, body)`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` .addHeader(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Authorization\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Bearer 56616641ee123b80a36b99fedc2bfa4f0d7f63072d97ddb1578c7a5aa970e7edde6618c7f750beb921aee3eebc9cc48899ee992fa4eb95a663d0e0b2eaa35b73f3b2344c\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` .build();`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`Response response = client.newCall(request).execute();`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`DART`,numberOfLines:`16`,language:`dart`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`dart`,children:_jsxs(_components.code,{language:`dart`,numberOfLines:`16`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`var`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` headers `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Authorization'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Bearer 56616641ee123b80a36b99fedc2bfa4f0d7f63072d97ddb1578c7a5aa970e7edde6618c7f750beb921aee3eebc9cc48899ee992fa4eb95a663d0e0b2eaa35b73f3b2344c'`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`};`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`var`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` request `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` http.`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4EC9B0`},children:`MultipartRequest`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'POST'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4EC9B0`},children:`Uri`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`parse`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'https://api.zixflow.com/api/v1/campaign/email/upload'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`));`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`request.files.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`add`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` http.`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4EC9B0`},children:`MultipartFile`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`fromPath`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'file'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'/home/sahil/Downloads/welcome-screen.png'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`));`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`request.headers.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`addAll`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(headers);`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`http.`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4EC9B0`},children:`StreamedResponse`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` response `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` request.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`send`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`if`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` (response.statusCode `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`==`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 200`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`) {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` print`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` response.stream.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`bytesToString`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`());`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`else`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` print`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(response.reasonPhrase);`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`]})})})]}),`\n`,_jsxs(ResponseExample,{children:[_jsx(CodeBlock,{filename:`200-Success`,numberOfLines:`14`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`14`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"filename\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"file-welcome-screen-1672054415115.png\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"size\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`7343`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"dateadded\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2022-12-26T11:33:36.2633971Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"expirationdate\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"fileid\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"63a98690b0ec6c81460f4f1d\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"contenttype\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"image/png\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"mediumscreenshotpath\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"93b7fbda-4306-4ab7-bb80-e4375750ea76/mediumscreenshots/file-welcome-screen-1672054415115.png\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"thumbnailpath\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"93b7fbda-4306-4ab7-bb80-e4375750ea76/thumbnails/file-welcome-screen-1672054415115.png\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Successfully uploaded file\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`400-Bad Request`,numberOfLines:`4`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"file size exceeded\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`401-Unauthorised`,numberOfLines:`4`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"No token provided\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Upload Attachment","api":"POST https://api.zixflow.com/api/v1/campaign/email/upload","description":"This API used to upload attachments in zixflow platform. Purpose of API is whenever the user wants to send an attachment in the email. user need to upload attachment in zixflow platform first. zixflow will provide id represents to attachment. and the user can send this id in send email API's attachment field to send attachment along with the email","href":"/api-reference/campaign/email/upload-attachment"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Body","slug":"body","depth":4,"children":[]},{"title":"Response","slug":"response","depth":4,"children":[]}],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"cUrl","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"shellscript\">\u003ccode language=\"shellscript\" numberOfLines=\"3\">\u003cspan class=\"line\">\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">curl\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> --location --request POST \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'https://api.zixflow.com/api/v1/campaign/email/upload'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">--header \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'Authorization: Bearer 56616641ee123b80a36b99fedc2bfa4f0d7f63072d97ddb1578c7a5aa970e7edde6618c7f750beb921aee3eebc9cc48899ee992fa4eb95a663d0e0b2eaa35b73f3b2344c'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">--form \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'file=@\"\u0026#x3C;path-to-file>\"'\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"Nodejs","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"javascript\">\u003ccode language=\"javascript\" numberOfLines=\"24\">\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">var\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> axios = require(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'axios'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">);\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">var\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> FormData = require(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'form-data'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">);\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">var\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> fs = require(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'fs'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">);\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">var\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> data = \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">new\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> FormData();\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">data.append(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'file'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, fs.createReadStream(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'/home/sahil/Downloads/welcome-screen.png'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">));\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">var\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> config = {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> method: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'post'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> url: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'https://api.zixflow.com/api/v1/campaign/email/upload'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> headers: { \u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> 'Authorization'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'Bearer 56616641ee123b80a36b99fedc2bfa4f0d7f63072d97ddb1578c7a5aa970e7edde6618c7f750beb921aee3eebc9cc48899ee992fa4eb95a663d0e0b2eaa35b73f3b2344c'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ...data.getHeaders()\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> data : data\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">};\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">axios(config)\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">.then(\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">function\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> (response) {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> console.log(JSON.stringify(response.data));\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">})\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">.\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">catch\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">function\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> (error) {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> console.log(error);\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">});\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"Python","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"python\">\u003ccode language=\"python\" numberOfLines=\"15\">\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">import\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> requests\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">url = \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"https://api.zixflow.com/api/v1/campaign/email/upload\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">payload={}\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">files=[\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> (\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'file'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'welcome-screen.png'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,open(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'/home/sahil/Downloads/welcome-screen.png'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'rb'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">),\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'image/png'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">))\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">headers = {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> 'Authorization'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'Bearer 56616641ee123b80a36b99fedc2bfa4f0d7f63072d97ddb1578c7a5aa970e7edde6618c7f750beb921aee3eebc9cc48899ee992fa4eb95a663d0e0b2eaa35b73f3b2344c'\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">response = requests.request(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"POST\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, url, headers=headers, data=payload, files=files)\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">print(response.text)\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"JAVA","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"java\">\u003ccode language=\"java\" numberOfLines=\"14\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">OkHttpClient client = \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">new\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> OkHttpClient().newBuilder()\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> .build();\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">MediaType mediaType = MediaType.parse(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"text/plain\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">);\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">RequestBody body = \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">new\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> MultipartBody.Builder().setType(MultipartBody.FORM)\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> .addFormDataPart(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"file\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"welcome-screen.png\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> RequestBody.create(MediaType.parse(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"application/octet-stream\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">),\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\"> new\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> File(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"/home/sahil/Downloads/welcome-screen.png\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">)))\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> .build();\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">Request request = \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">new\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> Request.Builder()\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> .url(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"https://api.zixflow.com/api/v1/campaign/email/upload\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">)\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> .method(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"POST\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, body)\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> .addHeader(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Authorization\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Bearer 56616641ee123b80a36b99fedc2bfa4f0d7f63072d97ddb1578c7a5aa970e7edde6618c7f750beb921aee3eebc9cc48899ee992fa4eb95a663d0e0b2eaa35b73f3b2344c\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">)\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> .build();\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">Response response = client.newCall(request).execute();\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"DART","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"dart\">\u003ccode language=\"dart\" numberOfLines=\"16\">\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">var\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> headers \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> 'Authorization'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> 'Bearer 56616641ee123b80a36b99fedc2bfa4f0d7f63072d97ddb1578c7a5aa970e7edde6618c7f750beb921aee3eebc9cc48899ee992fa4eb95a663d0e0b2eaa35b73f3b2344c'\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">};\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">var\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> request \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> http.\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#4EC9B0\">MultipartRequest\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'POST'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#4EC9B0\">Uri\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">.\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">parse\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'https://api.zixflow.com/api/v1/campaign/email/upload'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">));\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">request.files.\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">add\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">await\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> http.\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#4EC9B0\">MultipartFile\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">.\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">fromPath\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'file'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">, \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'/home/sahil/Downloads/welcome-screen.png'\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">));\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">request.headers.\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">addAll\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(headers);\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">http.\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#4EC9B0\">StreamedResponse\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> response \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">=\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\"> await\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> request.\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">send\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">();\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">if\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> (response.statusCode \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\">==\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\"> 200\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">) {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\"> print\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">await\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> response.stream.\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">bytesToString\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">());\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">else\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\"> print\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(response.reasonPhrase);\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]},"response":{"type":"ResponseExample","children":[{"filename":"200-Success","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"14\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"status\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">true\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"data\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"filename\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"file-welcome-screen-1672054415115.png\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"size\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">7343\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"dateadded\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2022-12-26T11:33:36.2633971Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"expirationdate\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">null\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"fileid\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"63a98690b0ec6c81460f4f1d\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"contenttype\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"image/png\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"mediumscreenshotpath\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"93b7fbda-4306-4ab7-bb80-e4375750ea76/mediumscreenshots/file-welcome-screen-1672054415115.png\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"thumbnailpath\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"93b7fbda-4306-4ab7-bb80-e4375750ea76/thumbnails/file-welcome-screen-1672054415115.png\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Successfully uploaded file\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"400-Bad Request","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"4\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"status\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">false\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"file size exceeded\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"401-Unauthorised","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"4\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"status\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">false\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"No token provided\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Upload Attachment","path":"/api/v1/campaign/email/upload","servers":[{"url":"https://api.zixflow.com"}],"method":"post","request":{"security":[],"parameters":{"query":{},"header":{},"cookie":{},"path":{}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"file":[{"type":"file","description":"The “File” field refers to an attachment file that must be included in an email campaign. The file can be in any format, and its size should not exceed 25 megabytes (MB).","required":true,"placeholder":"Select Attachment"}]}}],"examples":{"example":{"value":{}}}}}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"status":[{"type":"boolean","description":"Indicates whether the call was successful. true if successful, false if not."}],"message":[{"type":"string","description":"success or error response message"}],"data":[{"type":"object","properties":{"filename":[{"type":"string","description":"The name of the file."}],"size":[{"type":"integer","description":"The size of the file in bytes."}],"dateadded":[{"type":"string","description":"The date and time the file was added."}],"expirationdate":[{"type":"string","description":"The expiration date of the file (if specified)."}],"fileid":[{"type":"string","description":"The unique identifier of the file."}],"contenttype":[{"type":"string","description":"The content type of the file."}],"mediumscreenshotpath":[{"type":"string","description":"The path to the medium-sized screenshot."}],"thumbnailpath":[{"type":"string","description":"The path to the thumbnail."}]},"description":"The contents of uploaded file"}]}}],"examples":{"example":{"value":{"status":true,"message":"\u003cstring>","data":{"filename":"\u003cstring>","size":123,"dateadded":"\u003cstring>","expirationdate":"\u003cstring>","fileid":"\u003cstring>","contenttype":"\u003cstring>","mediumscreenshotpath":"\u003cstring>","thumbnailpath":"\u003cstring>"}}}}}}},"deprecated":false}},"jsLinks":[],"subdomain":"zixflow","siteName":"Zixflow Docs","title":"Upload Attachment - Zixflow Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-12T10:00:12.048Z","originalFileLocation":"api-reference/campaign/email/upload-attachment.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This API used to upload attachments in zixflow platform. Purpose of API is whenever the user wants to send an attachment in the email. user need to upload attachment in zixflow platform first. zixflow will provide id represents to attachment. and the user can send this id in send email API\u0026#x27;s attachment field to send attachment along with the email\">\u003cmeta data-mint-head name=\"application-name\" content=\"Zixflow Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/zixflow/OV6gRTMbidcgM36T/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/zixflow/OV6gRTMbidcgM36T/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/zixflow/OV6gRTMbidcgM36T/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/zixflow/OV6gRTMbidcgM36T/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/zixflow/OV6gRTMbidcgM36T/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/zixflow/OV6gRTMbidcgM36T/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/zixflow/OV6gRTMbidcgM36T/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/zixflow/OV6gRTMbidcgM36T/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/zixflow/OV6gRTMbidcgM36T/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Upload Attachment - Zixflow Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"This API used to upload attachments in zixflow platform. Purpose of API is whenever the user wants to send an attachment in the email. user need to upload attachment in zixflow platform first. zixflow will provide id represents to attachment. and the user can send this id in send email API\u0026#x27;s attachment field to send attachment along with the email\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Zixflow Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.zixflow.com/api-reference/campaign/email/upload-attachment\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://zixflow.mintlify.site/_mintlify/api/og/v2?division=Email+Campaign\u0026amp;title=Upload+Attachment\u0026amp;description=This+API+used+to+upload+attachments+in+zixflow+platform.+Purpose+of+API+is+whenever+the+user+wants+to+send+an+attachment+in+the+email.+user+need+to+upload+attac\u0026amp;theme=1fce0bc92134f8cbf4fd6ba4\u0026amp;signature=2f5755d9155bf983309b33a1efaa067fc67c5280807bab124ebe815b4def939d\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Upload Attachment - Zixflow Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This API used to upload attachments in zixflow platform. Purpose of API is whenever the user wants to send an attachment in the email. user need to upload attachment in zixflow platform first. zixflow will provide id represents to attachment. and the user can send this id in send email API\u0026#x27;s attachment field to send attachment along with the email\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://zixflow.mintlify.site/_mintlify/api/og/v2?division=Email+Campaign\u0026amp;title=Upload+Attachment\u0026amp;description=This+API+used+to+upload+attachments+in+zixflow+platform.+Purpose+of+API+is+whenever+the+user+wants+to+send+an+attachment+in+the+email.+user+need+to+upload+attac\u0026amp;theme=1fce0bc92134f8cbf4fd6ba4\u0026amp;signature=2f5755d9155bf983309b33a1efaa067fc67c5280807bab124ebe815b4def939d\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/zixflow/OV6gRTMbidcgM36T/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Zixflow Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#9563FF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.zixflow.com/api-reference/campaign/email/upload-attachment\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/campaign/email/upload-attachment.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.zixflow.com/#organization\",\"name\":\"Zixflow Docs\",\"url\":\"https://docs.zixflow.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/zixflow/ZkR4R10Bz-5t_RgN/logo/light.svg?fit=max\u0026auto=format\u0026n=ZkR4R10Bz-5t_RgN\u0026q=85\u0026s=a7334d13abb8d817b7f9416d78981521\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.zixflow.com#website\",\"name\":\"Zixflow Docs\",\"url\":\"https://docs.zixflow.com\",\"publisher\":{\"@id\":\"https://docs.zixflow.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.zixflow.com/api-reference/campaign/email/upload-attachment#webpage\",\"url\":\"https://docs.zixflow.com/api-reference/campaign/email/upload-attachment\",\"name\":\"Upload Attachment\",\"description\":\"This API used to upload attachments in zixflow platform. Purpose of API is whenever the user wants to send an attachment in the email. user need to upload attachment in zixflow platform first. zixflow will provide id represents to attachment. and the user can send this id in send email API's attachment field to send attachment along with the email\",\"dateModified\":\"2026-01-12T10:00:12.048Z\",\"isPartOf\":{\"@id\":\"https://docs.zixflow.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.zixflow.com/api-reference/campaign/email/upload-attachment#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.zixflow.com/api-reference/campaign/email/upload-attachment#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Email Campaign\",\"item\":\"https://docs.zixflow.com/api-reference/campaign/email/introduction\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Upload Attachment\",\"item\":\"https://docs.zixflow.com/api-reference/campaign/email/upload-attachment\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.zixflow.com/api-reference/campaign/email/upload-attachment#apireference\",\"headline\":\"Upload Attachment\",\"name\":\"Upload Attachment\",\"description\":\"This API used to upload attachments in zixflow platform. Purpose of API is whenever the user wants to send an attachment in the email. user need to upload attachment in zixflow platform first. zixflow will provide id represents to attachment. and the user can send this id in send email API's attachment field to send attachment along with the email\",\"url\":\"https://docs.zixflow.com/api-reference/campaign/email/upload-attachment\",\"mainEntityOfPage\":{\"@id\":\"https://docs.zixflow.com/api-reference/campaign/email/upload-attachment#webpage\"},\"dateModified\":\"2026-01-12T10:00:12.048Z\",\"publisher\":{\"@id\":\"https://docs.zixflow.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.zixflow.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Zixflow Docs\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Zixflow Docs\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/campaign/email/upload-attachment.md","siteName":"Zixflow Docs","nav":{"global":{"anchors":[{"anchor":"Zixflow Web","icon":"globe","href":"https://zixflow.com/"},{"anchor":"Help Center","icon":"book-open-cover","href":"https://help.zixflow.com/en"},{"anchor":"Blog","icon":"newspaper","href":"https://zixflow.com/blog"}]},"tabs":[{"tab":"Documentation","icon":"book-open","pages":[{"title":"Documentation","href":"/documentation/events/getting-started"}]},{"tab":"SDK Integrations","icon":"brackets-curly","dropdowns":[{"dropdown":"JavaScript","icon":"js","groups":[{"group":"Getting Started","pages":[{"title":"Introduction","href":"/documentation/sdk/javascript/introduction"},{"title":"Requirements","href":"/documentation/sdk/javascript/requirements"},{"title":"Installation","href":"/documentation/sdk/javascript/installation"},{"title":"JavaScript Snippet","href":"/documentation/sdk/javascript/script-installation"},{"title":"Quick Start","href":"/documentation/sdk/javascript/quick-start"}]},{"group":"Features","pages":[{"title":"Core Features","href":"/documentation/sdk/javascript/core-features"},{"title":"Browser-Specific Features","href":"/documentation/sdk/javascript/browser-specific-features"},{"title":"Web Push Notifications","href":"/documentation/sdk/javascript/web-push-notifications"},{"title":"Push Notification Tracking","href":"/documentation/sdk/javascript/push-notification-tracking"}]},{"group":"Advanced","pages":[{"title":"Advanced Configuration","href":"/documentation/sdk/javascript/advanced-configuration"},{"title":"TypeScript Support","href":"/documentation/sdk/javascript/typescript-support"}]},{"group":"Reference","pages":[{"title":"Example Apps","href":"/documentation/sdk/javascript/example-apps"},{"title":"API Reference","href":"/documentation/sdk/javascript/api-reference"}]}]},{"dropdown":"Node.js","icon":"node-js","groups":[{"group":"Getting Started","pages":[{"title":"Introduction","href":"/documentation/sdk/nodejs/introduction"},{"title":"Requirements","href":"/documentation/sdk/nodejs/requirements"},{"title":"Installation","href":"/documentation/sdk/nodejs/installation"},{"title":"Quick Start","href":"/documentation/sdk/nodejs/quick-start"}]},{"group":"Features","pages":[{"title":"Core Features","href":"/documentation/sdk/nodejs/core-features"},{"title":"Node.js-Specific Features","href":"/documentation/sdk/nodejs/nodejs-specific-features"}]},{"group":"Advanced","pages":[{"title":"Advanced Configuration","href":"/documentation/sdk/nodejs/advanced-configuration"},{"title":"TypeScript Support","href":"/documentation/sdk/nodejs/typescript-support"}]},{"group":"Reference","pages":[{"title":"Example Apps","href":"/documentation/sdk/nodejs/example-apps"},{"title":"API Reference","href":"/documentation/sdk/nodejs/api-reference"}]}]},{"dropdown":"React Native","icon":"react","groups":[{"group":"Getting Started","pages":[{"title":"Introduction","href":"/documentation/sdk/react-native/introduction"},{"title":"Requirements","href":"/documentation/sdk/react-native/requirements"},{"title":"Installation","href":"/documentation/sdk/react-native/installation"},{"title":"Quick Start","href":"/documentation/sdk/react-native/quick-start"}]},{"group":"Features","pages":[{"title":"Core Features","href":"/documentation/sdk/react-native/core-features"},{"title":"Push Notifications","href":"/documentation/sdk/react-native/push-notifications"},{"title":"Push Notification Tracking","href":"/documentation/sdk/react-native/push-notification-tracking"},{"title":"Location Tracking","href":"/documentation/sdk/react-native/location-tracking"}]},{"group":"Advanced","pages":[{"title":"Advanced Configuration","href":"/documentation/sdk/react-native/advanced-configuration"},{"title":"Platform-Specific Setup","href":"/documentation/sdk/react-native/platform-specific-setup"}]},{"group":"Reference","pages":[{"title":"Example Applications","href":"/documentation/sdk/react-native/example-applications"},{"title":"API Reference","href":"/documentation/sdk/react-native/api-reference"}]}]},{"dropdown":"Flutter","icon":"mobile","groups":[{"group":"Getting Started","pages":[{"title":"Introduction","href":"/documentation/sdk/flutter/introduction"},{"title":"Requirements","href":"/documentation/sdk/flutter/requirements"},{"title":"Installation","href":"/documentation/sdk/flutter/installation"},{"title":"Quick Start","href":"/documentation/sdk/flutter/quick-start"}]},{"group":"Features","pages":[{"title":"Core Features","href":"/documentation/sdk/flutter/core-features"},{"title":"Push Notifications","href":"/documentation/sdk/flutter/push-notifications"},{"title":"Push Notification Tracking","href":"/documentation/sdk/flutter/push-notification-tracking"},{"title":"Location Tracking","href":"/documentation/sdk/flutter/location-tracking"}]},{"group":"Advanced","pages":[{"title":"Advanced Configuration","href":"/documentation/sdk/flutter/advanced-configuration"},{"title":"Platform-Specific Setup","href":"/documentation/sdk/flutter/platform-specific-setup"}]},{"group":"Reference","pages":[{"title":"Example Apps","href":"/documentation/sdk/flutter/example-apps"},{"title":"API Reference","href":"/documentation/sdk/flutter/api-reference"}]}]},{"dropdown":"iOS","icon":"apple","groups":[{"group":"Getting Started","pages":[{"title":"Introduction","href":"/documentation/sdk/ios/introduction"},{"title":"Requirements","href":"/documentation/sdk/ios/requirements"},{"title":"Installation","href":"/documentation/sdk/ios/installation"},{"title":"Quick Start","href":"/documentation/sdk/ios/quick-start"}]},{"group":"Features","pages":[{"title":"Core Features","href":"/documentation/sdk/ios/core-features"},{"title":"Push Notifications","href":"/documentation/sdk/ios/push-notifications"},{"title":"Push Notification Tracking","href":"/documentation/sdk/ios/push-notification-tracking"},{"title":"Location Tracking","href":"/documentation/sdk/ios/location-tracking"}]},{"group":"Advanced","pages":[{"title":"Advanced Configuration","href":"/documentation/sdk/ios/advanced-configuration"},{"title":"Platform-Specific Guides","href":"/documentation/sdk/ios/platform-specific-guides"}]},{"group":"Reference","pages":[{"title":"Example Apps","href":"/documentation/sdk/ios/example-apps"},{"title":"API Reference","href":"/documentation/sdk/ios/api-reference"}]}]},{"dropdown":"Android","icon":"android","groups":[{"group":"Getting Started","pages":[{"title":"Introduction","href":"/documentation/sdk/android/introduction"},{"title":"Requirements","href":"/documentation/sdk/android/requirements"},{"title":"Installation","href":"/documentation/sdk/android/installation"},{"title":"Quick Start","href":"/documentation/sdk/android/quick-start"}]},{"group":"Features","pages":[{"title":"Core Features","href":"/documentation/sdk/android/core-features"},{"title":"Push Notifications","href":"/documentation/sdk/android/push-notifications"},{"title":"Push Notification Tracking","href":"/documentation/sdk/android/push-notification-tracking"},{"title":"Location Tracking","href":"/documentation/sdk/android/location-tracking"}]},{"group":"Advanced","pages":[{"title":"Advanced Configuration","href":"/documentation/sdk/android/advanced-configuration"}]},{"group":"Reference","pages":[{"title":"Example Apps","href":"/documentation/sdk/android/example-apps"},{"title":"API Reference","href":"/documentation/sdk/android/api-reference"}]}]}]},{"tab":"API Reference","icon":"square-terminal","dropdowns":[{"dropdown":"Zixflow AI","icon":"sparkles","pages":[{"group":"Zixflow AI","pages":[{"title":"Introduction","href":"/api-reference/zixflow-ai/introduction"},{"title":"API Authentication","href":"/api-reference/zixflow-ai/authentication"},{"title":"Postback Notifications","href":"/api-reference/zixflow-ai/postback-notifications"},{"title":"Error Codes","href":"/api-reference/zixflow-ai/error-codes"}]},{"group":"Sendflow","pages":[{"title":"Introduction to Sendflow","href":"/api-reference/zixflow-ai/sendflow/introduction"},{"title":"Condition Node","href":"/api-reference/zixflow-ai/sendflow/condition-node"},{"title":"Trigger Sendflow","api":"POST https://api-ai.zixflow.com/api/ingest/sendflow/v1/{sendflow_id}/trigger","href":"/api-reference/zixflow-ai/sendflow/trigger"},{"title":"Stop Sendflow Execution","api":"POST https://api-ai.zixflow.com/api/ingest/sendflow/v1/{sendflow_id}/stop/{request_id}","href":"/api-reference/zixflow-ai/sendflow/stop"},{"title":"Get Sendflow Delivery Report","api":"GET https://api-ai.zixflow.com/api/data/sendflow/v1/delivery-report","href":"/api-reference/zixflow-ai/sendflow/get-delivery-report"},{"title":"Get Sendflow Report Logs","api":"GET https://api-ai.zixflow.com/api/data/sendflow/v1/reports/logs/{flowId}","href":"/api-reference/zixflow-ai/sendflow/get-report-logs"},{"title":"Get Sendflow Reports Summary","api":"GET https://api-ai.zixflow.com/api/data/sendflow/v1/reports/summary/{flowId}","href":"/api-reference/zixflow-ai/sendflow/get-report-summary"}]},{"group":"Events","pages":[{"title":"Events Introduction","href":"/api-reference/zixflow-ai/events/introduction"},{"title":"Events Authentication","href":"/api-reference/zixflow-ai/events/authentication"},{"title":"Context Object","href":"/api-reference/zixflow-ai/events/context"},{"title":"Events Errors","href":"/api-reference/zixflow-ai/events/errors"},{"group":"Data Pipelines","pages":[{"title":"Identify","api":"POST https://api-events.zixflow.com/v1/identify","href":"/api-reference/zixflow-ai/events/identify"},{"title":"Track","api":"POST https://api-events.zixflow.com/v1/track","href":"/api-reference/zixflow-ai/events/track"},{"title":"Screen","api":"POST https://api-events.zixflow.com/v1/screen","href":"/api-reference/zixflow-ai/events/screen"},{"title":"Page","api":"POST https://api-events.zixflow.com/v1/page","href":"/api-reference/zixflow-ai/events/page"},{"title":"Batch","api":"POST https://api-events.zixflow.com/v1/batch","href":"/api-reference/zixflow-ai/events/batch"}]}]},{"group":"CSV Import","pages":[{"title":"CSV Import Introduction","href":"/api-reference/zixflow-ai/import/introduction"},{"group":"People","pages":[{"title":"Import People","api":"POST https://api-ai.zixflow.com/api/data/people/v1/import","href":"/api-reference/zixflow-ai/import/people/create"},{"title":"Get People Import Status","api":"GET https://api-ai.zixflow.com/api/data/people/v1/import/{import_id}","href":"/api-reference/zixflow-ai/import/people/get-status"},{"title":"Cancel People Import","api":"POST https://api-ai.zixflow.com/api/data/people/v1/import/{import_id}/cancel","href":"/api-reference/zixflow-ai/import/people/cancel"}]},{"group":"Events","pages":[{"title":"Import Events","api":"POST https://api-ai.zixflow.com/api/data/events/v1/import","href":"/api-reference/zixflow-ai/import/events/create"},{"title":"Get Events Import Status","api":"GET https://api-ai.zixflow.com/api/data/events/v1/import/{import_id}","href":"/api-reference/zixflow-ai/import/events/get-status"},{"title":"Cancel Events Import","api":"POST https://api-ai.zixflow.com/api/data/events/v1/import/{import_id}/cancel","href":"/api-reference/zixflow-ai/import/events/cancel"}]},{"group":"Devices","pages":[{"title":"Import Devices","api":"POST https://api-ai.zixflow.com/api/data/devices/v1/import","href":"/api-reference/zixflow-ai/import/devices/create"},{"title":"Get Devices Import Status","api":"GET https://api-ai.zixflow.com/api/data/devices/v1/import/{import_id}","href":"/api-reference/zixflow-ai/import/devices/get-status"},{"title":"Cancel Devices Import","api":"POST https://api-ai.zixflow.com/api/data/devices/v1/import/{import_id}/cancel","href":"/api-reference/zixflow-ai/import/devices/cancel"}]}]},{"group":"WhatsApp","pages":[{"title":"Introduction to WhatsApp Messaging","href":"/api-reference/zixflow-ai/whatsapp/introduction"},{"title":"Get WhatsApp Accounts","api":"GET https://api-ai.zixflow.com/api/data/whatsapp/v1/accounts","href":"/api-reference/zixflow-ai/whatsapp/get-accounts"},{"title":"Get WhatsApp Templates","api":"GET https://api-ai.zixflow.com/api/data/whatsapp/v1/{phone_id}/templates","href":"/api-reference/zixflow-ai/whatsapp/get-templates"},{"title":"Get WhatsApp Template Variables","api":"GET https://api-ai.zixflow.com/api/data/whatsapp/v1/{phone_id}/variable-keys","href":"/api-reference/zixflow-ai/whatsapp/get-template-variables"},{"title":"Send WhatsApp Template","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/template/send","href":"/api-reference/zixflow-ai/whatsapp/send-template"},{"title":"Authentication Templates","href":"/api-reference/zixflow-ai/whatsapp/whatsapp-auth-template"},{"group":"Direct Messages","pages":[{"title":"Send WhatsApp Text Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/text/send","href":"/api-reference/zixflow-ai/whatsapp/messages/text-message"},{"title":"Send WhatsApp Image Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/image/send","href":"/api-reference/zixflow-ai/whatsapp/messages/image-message"},{"title":"Send WhatsApp Video Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/video/send","href":"/api-reference/zixflow-ai/whatsapp/messages/video-message"},{"title":"Send WhatsApp Audio Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/audio/send","href":"/api-reference/zixflow-ai/whatsapp/messages/audio-message"},{"title":"Send WhatsApp Document Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/document/send","href":"/api-reference/zixflow-ai/whatsapp/messages/document-message"},{"title":"Send WhatsApp Sticker Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/sticker/send","href":"/api-reference/zixflow-ai/whatsapp/messages/sticker-message"},{"title":"Send WhatsApp Location Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/location/send","href":"/api-reference/zixflow-ai/whatsapp/messages/location-message"},{"title":"Send WhatsApp Reaction Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/reaction/send","href":"/api-reference/zixflow-ai/whatsapp/messages/reaction-message"},{"title":"Send WhatsApp Contact Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/contacts/send","href":"/api-reference/zixflow-ai/whatsapp/messages/contact-message"}]},{"group":"Interactive Messages","pages":[{"title":"Send WhatsApp Interactive Address Message","api":"POST https://api-ai.zixflow.com/api/ingest/whatsapp/v1/message/interactive/address/send","href":"/api-reference/zixflow-ai/whatsapp/messages/interactive-address-message"},{"title":"Send WhatsApp Interactive List Buttons Message","api":"POST https://ap
[...]
